org.opencv.dnn

## Class Dnn

- java.lang.Object
- - org.opencv.dnn.Dnn

-     public class Dnn
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DNN_BACKEND_DEFAULT`
    `static int` | `DNN_BACKEND_HALIDE`
    `static int` | `DNN_BACKEND_INFERENCE_ENGINE`
    `static int` | `DNN_BACKEND_OPENCV`
    `static int` | `DNN_TARGET_CPU`
    `static int` | `DNN_TARGET_MYRIAD`
    `static int` | `DNN_TARGET_OPENCL`
    `static int` | `DNN_TARGET_OPENCL_FP16`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Dnn()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Mat` | `blobFromImage(Mat image)`
    `static Mat` | `blobFromImage(Mat image, double scalefactor)`
    `static Mat` | `blobFromImage(Mat image, double scalefactor, Size size)`
    `static Mat` | `blobFromImage(Mat image, double scalefactor, Size size, Scalar mean)`
    `static Mat` | `blobFromImage(Mat image, double scalefactor, Size size, Scalar mean, boolean swapRB)`
    `static Mat` | `blobFromImage(Mat image, double scalefactor, Size size, Scalar mean, boolean swapRB, boolean crop)`
    `static Mat` | `blobFromImage(Mat image, double scalefactor, Size size, Scalar mean, boolean swapRB, boolean crop, int ddepth)`
    `static Mat` | `blobFromImages(java.util.List<Mat> images)`
    `static Mat` | `blobFromImages(java.util.List<Mat> images, double scalefactor)`
    `static Mat` | `blobFromImages(java.util.List<Mat> images, double scalefactor, Size size)`
    `static Mat` | `blobFromImages(java.util.List<Mat> images, double scalefactor, Size size, Scalar mean)`
    `static Mat` | `blobFromImages(java.util.List<Mat> images, double scalefactor, Size size, Scalar mean, boolean swapRB)`
    `static Mat` | `blobFromImages(java.util.List<Mat> images, double scalefactor, Size size, Scalar mean, boolean swapRB, boolean crop)`
    `static Mat` | `blobFromImages(java.util.List<Mat> images, double scalefactor, Size size, Scalar mean, boolean swapRB, boolean crop, int ddepth)`
    `static void` | `imagesFromBlob(Mat blob_, java.util.List<Mat> images_)`
    `static void` | `NMSBoxes(MatOfRect bboxes, MatOfFloat scores, float score_threshold, float nms_threshold, MatOfInt indices)`
    `static void` | `NMSBoxes(MatOfRect bboxes, MatOfFloat scores, float score_threshold, float nms_threshold, MatOfInt indices, float eta)`
    `static void` | `NMSBoxes(MatOfRect bboxes, MatOfFloat scores, float score_threshold, float nms_threshold, MatOfInt indices, float eta, int top_k)`
    `static Net` | `readNet(java.lang.String model)`
    `static Net` | `readNet(java.lang.String framework, MatOfByte bufferModel)`
    `static Net` | `readNet(java.lang.String framework, MatOfByte bufferModel, MatOfByte bufferConfig)`
    `static Net` | `readNet(java.lang.String model, java.lang.String config)`
    `static Net` | `readNet(java.lang.String model, java.lang.String config, java.lang.String framework)`
    `static Net` | `readNetFromCaffe(MatOfByte bufferProto)`
    `static Net` | `readNetFromCaffe(MatOfByte bufferProto, MatOfByte bufferModel)`
    `static Net` | `readNetFromCaffe(java.lang.String prototxt)`
    `static Net` | `readNetFromCaffe(java.lang.String prototxt, java.lang.String caffeModel)`
    `static Net` | `readNetFromDarknet(MatOfByte bufferCfg)`
    `static Net` | `readNetFromDarknet(MatOfByte bufferCfg, MatOfByte bufferModel)`
    `static Net` | `readNetFromDarknet(java.lang.String cfgFile)`
    `static Net` | `readNetFromDarknet(java.lang.String cfgFile, java.lang.String darknetModel)`
    `static Net` | `readNetFromModelOptimizer(java.lang.String xml, java.lang.String bin)`
    `static Net` | `readNetFromTensorflow(MatOfByte bufferModel)`
    `static Net` | `readNetFromTensorflow(MatOfByte bufferModel, MatOfByte bufferConfig)`
    `static Net` | `readNetFromTensorflow(java.lang.String model)`
    `static Net` | `readNetFromTensorflow(java.lang.String model, java.lang.String config)`
    `static Net` | `readNetFromTorch(java.lang.String model)`
    `static Net` | `readNetFromTorch(java.lang.String model, boolean isBinary)`
    `static Mat` | `readTorchBlob(java.lang.String filename)`
    `static Mat` | `readTorchBlob(java.lang.String filename, boolean isBinary)`
    `static void` | `shrinkCaffeModel(java.lang.String src, java.lang.String dst)`
    `static void` | `shrinkCaffeModel(java.lang.String src, java.lang.String dst, java.util.List<java.lang.String> layersTypes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DNN_BACKEND_DEFAULT

          public static final int DNN_BACKEND_DEFAULT

      See Also:
        Constant Field Values

    - #### DNN_BACKEND_HALIDE

          public static final int DNN_BACKEND_HALIDE

      See Also:
        Constant Field Values

    - #### DNN_BACKEND_INFERENCE_ENGINE

          public static final int DNN_BACKEND_INFERENCE_ENGINE

      See Also:
        Constant Field Values

    - #### DNN_BACKEND_OPENCV

          public static final int DNN_BACKEND_OPENCV

      See Also:
        Constant Field Values

    - #### DNN_TARGET_CPU

          public static final int DNN_TARGET_CPU

      See Also:
        Constant Field Values

    - #### DNN_TARGET_OPENCL

          public static final int DNN_TARGET_OPENCL

      See Also:
        Constant Field Values

    - #### DNN_TARGET_OPENCL_FP16

          public static final int DNN_TARGET_OPENCL_FP16

      See Also:
        Constant Field Values

    - #### DNN_TARGET_MYRIAD

          public static final int DNN_TARGET_MYRIAD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Dnn

          public Dnn()

  - ### Method Detail

    - #### blobFromImage

          public static Mat blobFromImage(Mat image,
                                          double scalefactor,
                                          Size size,
                                          Scalar mean,
                                          boolean swapRB,
                                          boolean crop,
                                          int ddepth)

    - #### blobFromImage

          public static Mat blobFromImage(Mat image,
                                          double scalefactor,
                                          Size size,
                                          Scalar mean,
                                          boolean swapRB,
                                          boolean crop)

    - #### blobFromImage

          public static Mat blobFromImage(Mat image,
                                          double scalefactor,
                                          Size size,
                                          Scalar mean,
                                          boolean swapRB)

    - #### blobFromImage

          public static Mat blobFromImage(Mat image,
                                          double scalefactor,
                                          Size size,
                                          Scalar mean)

    - #### blobFromImage

          public static Mat blobFromImage(Mat image,
                                          double scalefactor,
                                          Size size)

    - #### blobFromImage

          public static Mat blobFromImage(Mat image,
                                          double scalefactor)

    - #### blobFromImage

          public static Mat blobFromImage(Mat image)

    - #### blobFromImages

          public static Mat blobFromImages(java.util.List<Mat> images,
                                           double scalefactor,
                                           Size size,
                                           Scalar mean,
                                           boolean swapRB,
                                           boolean crop,
                                           int ddepth)

    - #### blobFromImages

          public static Mat blobFromImages(java.util.List<Mat> images,
                                           double scalefactor,
                                           Size size,
                                           Scalar mean,
                                           boolean swapRB,
                                           boolean crop)

    - #### blobFromImages

          public static Mat blobFromImages(java.util.List<Mat> images,
                                           double scalefactor,
                                           Size size,
                                           Scalar mean,
                                           boolean swapRB)

    - #### blobFromImages

          public static Mat blobFromImages(java.util.List<Mat> images,
                                           double scalefactor,
                                           Size size,
                                           Scalar mean)

    - #### blobFromImages

          public static Mat blobFromImages(java.util.List<Mat> images,
                                           double scalefactor,
                                           Size size)

    - #### blobFromImages

          public static Mat blobFromImages(java.util.List<Mat> images,
                                           double scalefactor)

    - #### blobFromImages

          public static Mat blobFromImages(java.util.List<Mat> images)

    - #### readTorchBlob

          public static Mat readTorchBlob(java.lang.String filename,
                                          boolean isBinary)

    - #### readTorchBlob

          public static Mat readTorchBlob(java.lang.String filename)

    - #### readNet

          public static Net readNet(java.lang.String framework,
                                    MatOfByte bufferModel,
                                    MatOfByte bufferConfig)

    - #### readNet

          public static Net readNet(java.lang.String framework,
                                    MatOfByte bufferModel)

    - #### readNet

          public static Net readNet(java.lang.String model,
                                    java.lang.String config,
                                    java.lang.String framework)

    - #### readNet

          public static Net readNet(java.lang.String model,
                                    java.lang.String config)

    - #### readNet

          public static Net readNet(java.lang.String model)

    - #### readNetFromCaffe

          public static Net readNetFromCaffe(java.lang.String prototxt,
                                             java.lang.String caffeModel)

    - #### readNetFromCaffe

          public static Net readNetFromCaffe(java.lang.String prototxt)

    - #### readNetFromCaffe

          public static Net readNetFromCaffe(MatOfByte bufferProto,
                                             MatOfByte bufferModel)

    - #### readNetFromCaffe

          public static Net readNetFromCaffe(MatOfByte bufferProto)

    - #### readNetFromDarknet

          public static Net readNetFromDarknet(java.lang.String cfgFile,
                                               java.lang.String darknetModel)

    - #### readNetFromDarknet

          public static Net readNetFromDarknet(java.lang.String cfgFile)

    - #### readNetFromDarknet

          public static Net readNetFromDarknet(MatOfByte bufferCfg,
                                               MatOfByte bufferModel)

    - #### readNetFromDarknet

          public static Net readNetFromDarknet(MatOfByte bufferCfg)

    - #### readNetFromModelOptimizer

          public static Net readNetFromModelOptimizer(java.lang.String xml,
                                                      java.lang.String bin)

    - #### readNetFromTensorflow

          public static Net readNetFromTensorflow(java.lang.String model,
                                                  java.lang.String config)

    - #### readNetFromTensorflow

          public static Net readNetFromTensorflow(java.lang.String model)

    - #### readNetFromTensorflow

          public static Net readNetFromTensorflow(MatOfByte bufferModel,
                                                  MatOfByte bufferConfig)

    - #### readNetFromTensorflow

          public static Net readNetFromTensorflow(MatOfByte bufferModel)

    - #### readNetFromTorch

          public static Net readNetFromTorch(java.lang.String model,
                                             boolean isBinary)

    - #### readNetFromTorch

          public static Net readNetFromTorch(java.lang.String model)

    - #### NMSBoxes

          public static void NMSBoxes(MatOfRect bboxes,
                                      MatOfFloat scores,
                                      float score_threshold,
                                      float nms_threshold,
                                      MatOfInt indices,
                                      float eta,
                                      int top_k)

    - #### NMSBoxes

          public static void NMSBoxes(MatOfRect bboxes,
                                      MatOfFloat scores,
                                      float score_threshold,
                                      float nms_threshold,
                                      MatOfInt indices,
                                      float eta)

    - #### NMSBoxes

          public static void NMSBoxes(MatOfRect bboxes,
                                      MatOfFloat scores,
                                      float score_threshold,
                                      float nms_threshold,
                                      MatOfInt indices)

    - #### imagesFromBlob

          public static void imagesFromBlob(Mat blob_,
                                            java.util.List<Mat> images_)

    - #### shrinkCaffeModel

          public static void shrinkCaffeModel(java.lang.String src,
                                              java.lang.String dst,
                                              java.util.List<java.lang.String> layersTypes)

    - #### shrinkCaffeModel

          public static void shrinkCaffeModel(java.lang.String src,
                                              java.lang.String dst)

Generated on Wed Aug 29 2018 10:29:57 UTC / OpenCV 3.4.3